Package org.pgpainless.util.selection.keyring.impl

# Class Wildcard.PubRingSelectionStrategy<O>

java.lang.Object
org.pgpainless.util.selection.keyring.PublicKeyRingSelectionStrategy<O>
org.pgpainless.util.selection.keyring.impl.Wildcard.PubRingSelectionStrategy<O>

All Implemented Interfaces:
  `KeyRingSelectionStrategy<org.bouncycastle.openpgp.PGPPublicKeyRing,org.bouncycastle.openpgp.PGPPublicKeyRingCollection,O>`

Enclosing class:
  `Wildcard`

public static class Wildcard.PubRingSelectionStrategy<O> extends PublicKeyRingSelectionStrategy<O>

## Constructor Summary

Constructors
Constructor
Description
`PubRingSelectionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(O identifier, org.bouncycastle.openpgp.PGPPublicKeyRing keyRing)`
Return true, if the filter accepts the given

### Methods inherited from class org.pgpainless.util.selection.keyring.PublicKeyRingSelectionStrategy

`selectKeyRingsFromCollection, selectKeyRingsFromCollections`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PubRingSelectionStrategy

public PubRingSelectionStrategy()

## Method Details

### accept

public boolean accept(O identifier, org.bouncycastle.openpgp.PGPPublicKeyRing keyRing)
Description copied from interface: `KeyRingSelectionStrategy`
Return true, if the filter accepts the given

    keyRing

based on the given

    identifier

.

Parameters:
  `identifier` - identifier
  `keyRing` - key ring
Returns:
  acceptance